C++ Utilities: CppUtilities::ArgumentCompletionInfo Struct Reference

C++ Utilities 5.35.0 Useful C++ classes and routines such as argument parser, IO and conversion utilities

Loading...
Searching...
No Matches
Public Member Functions | Public Attributes | List of all members
CppUtilities::ArgumentCompletionInfo Struct Reference

The ArgumentCompletionInfo struct holds information internally used for shell completion and suggestions. More...

Collaboration diagram for CppUtilities::ArgumentCompletionInfo:
[legend]

## Public Member Functions
| ArgumentCompletionInfo (const ArgumentReader &reader)
| Constructs a new completion info for the specified reader.

## Public Attributes
const Argument *const | lastDetectedArg
size_t | lastDetectedArgIndex = 0
vector< Argument * > | lastDetectedArgPath
list< const Argument * > | relevantArgs
list< const Argument * > | relevantPreDefinedValues
const char *const * | lastSpecifiedArg = nullptr
unsigned int | lastSpecifiedArgIndex = 0
bool | nextArgumentOrValue = false
bool | completeFiles = false
bool | completeDirs = false

## Detailed Description

The ArgumentCompletionInfo struct holds information internally used for shell completion and suggestions.

Definition at line 47 of file argumentparser.cpp.

## Constructor & Destructor Documentation

## ◆ ArgumentCompletionInfo()

CppUtilities::ArgumentCompletionInfo::ArgumentCompletionInfo | ( | const ArgumentReader & | reader | ) |

Constructs a new completion info for the specified reader.

Remarks
  Only assigns some defaults. Use ArgumentParser::determineCompletionInfo() to populate the struct with actual data.

Definition at line 65 of file argumentparser.cpp.

## Member Data Documentation

## ◆ completeDirs

bool CppUtilities::ArgumentCompletionInfo::completeDirs = false

Definition at line 58 of file argumentparser.cpp.

## ◆ completeFiles

bool CppUtilities::ArgumentCompletionInfo::completeFiles = false

Definition at line 58 of file argumentparser.cpp.

## ◆ lastDetectedArg

const Argument* const CppUtilities::ArgumentCompletionInfo::lastDetectedArg

Definition at line 50 of file argumentparser.cpp.

## ◆ lastDetectedArgIndex

size_t CppUtilities::ArgumentCompletionInfo::lastDetectedArgIndex = 0

Definition at line 51 of file argumentparser.cpp.

## ◆ lastDetectedArgPath

vector<Argument *> CppUtilities::ArgumentCompletionInfo::lastDetectedArgPath

Definition at line 52 of file argumentparser.cpp.

## ◆ lastSpecifiedArg

const char* const* CppUtilities::ArgumentCompletionInfo::lastSpecifiedArg = nullptr

Definition at line 55 of file argumentparser.cpp.

## ◆ lastSpecifiedArgIndex

unsigned int CppUtilities::ArgumentCompletionInfo::lastSpecifiedArgIndex = 0

Definition at line 56 of file argumentparser.cpp.

## ◆ nextArgumentOrValue

bool CppUtilities::ArgumentCompletionInfo::nextArgumentOrValue = false

Definition at line 57 of file argumentparser.cpp.

## ◆ relevantArgs

list<const Argument *> CppUtilities::ArgumentCompletionInfo::relevantArgs

Definition at line 53 of file argumentparser.cpp.

## ◆ relevantPreDefinedValues

list<const Argument *> CppUtilities::ArgumentCompletionInfo::relevantPreDefinedValues

Definition at line 54 of file argumentparser.cpp.

The documentation for this struct was generated from the following file:

- application/argumentparser.cpp